// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Material.hpp"
#include "game/Game.hpp"

using namespace Dawn;

void Material::onInit() {
  this->lockedShaders = this->getLockedShaders(
    getGame()->renderHost->shaderManager
  );
}

void Material::onDispose() {
  this->lockedShaders.clear();
}