// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SettingsManager.hpp"
#include "assert/assert.hpp"

using namespace Dawn;

void SettingsManager::init(const std::shared_ptr<Game> game) {
  this->game = game;
}

std::shared_ptr<Game> SettingsManager::getGame() {
  auto game = this->game.lock();
  assertNotNull(game, "Game instance is null.");
  return game;
}

void SettingsManager::load() {
  
}

void SettingsManager::save() {

}