// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/shader/IShaderProgram2.hpp"

namespace Dawn {
  class ShaderEntry {
    protected:

    public:
      void init(
        const SlangStage &stage,
        const std::string &code
      );
      ~ShaderEntry();
  };

  class ShaderProgram2 : public IShaderProgram2 {
    public:
      void init(
        const std::vector<std::shared_ptr<ShaderEntry>> &entries
      ) override;
      ~ShaderProgram2();
  };
}