// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "Collider.hpp"

namespace Dawn {
  class SphereCollider : public Collider {
    protected:
      std::shared_ptr<JPH::ShapeSettings> getShapeSettings() override;

    public:
      float radius = 1.0f;
  };
}