// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "component/display/mesh/PlaneMeshComponent.hpp"

namespace Dawn {
  class RPGMap final : public SceneComponent {
    private:

    public:
      void onInit() override;
      void onDispose() override;
      void load(std::shared_ptr<SceneLoadContext> ctx) override;
  };
}