// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "RPGEntity.hpp"

#define PLAYER_SPEED 128.0f

namespace Dawn {
  class RPGPlayer final : public SceneComponent {
    private:

    public:
      std::shared_ptr<Camera> camera;
      std::shared_ptr<RPGEntity> rpgEntity;

      void onInit() override;
      void onDispose() override;
      void load(std::shared_ptr<SceneLoadContext> ctx) override;
  };
}